Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.resource
Enum ResourceMappingFeature

    java.lang.Object
      java.lang.Enum<ResourceMappingFeature>
          org.richfaces.resource.ResourceMappingFeature

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceMappingFeature>

    public enum ResourceMappingFeature

extends java.lang.Enum<ResourceMappingFeature>

Determines the state, mappings and request path for mapped resources.

Author:
  Lukas Fryc

Enum Constant Summary
`Compressed` Compression of static resources which is supported (CSS/JS)
`Packed` Packaging of selected static resources of certain types (CSS/JS)

Method Summary
`static java.lang.String` | `getLocation()` Returns the configured location of static resources as string evaluated against EL expressions in current context, either from configuration option or predefined location corresponding to current application stage.
`static java.lang.String` | `getMappingFile()` Returns location of static resource mapping configuration file for current application stage.
`static ResourceMappingFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceMappingFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Packed

    public static final ResourceMappingFeature Packed

  Packaging of selected static resources of certain types (CSS/JS)

### Compressed

    public static final ResourceMappingFeature Compressed

  Compression of static resources which is supported (CSS/JS)

Method Detail

### values

    public static ResourceMappingFeature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceMappingFeature c : ResourceMappingFeature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceMappingFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getMappingFile

    public static java.lang.String getMappingFile()

  Returns location of static resource mapping configuration file for current application stage.

  Returns:
    location of static resource mapping configuration file for current application stage

### getLocation

    public static java.lang.String getLocation()

  Returns the configured location of static resources as string evaluated against EL expressions in current context, either from configuration option or predefined location corresponding to current application stage.

  Returns:
    the configured location of static resources as string evaluated against EL expressions in current context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.